# Uses of Interface
org.opensaml.xmlsec.encryption.CipherReference

Packages that use CipherReference
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of CipherReference in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return CipherReference
Modifier and Type
Method
Description
`CipherReference`
CipherData.`getCipherReference()`
Get the CipherReference which points to the location encrypted data.
Methods in org.opensaml.xmlsec.encryption with parameters of type CipherReference
Modifier and Type
Method
Description
`void`
CipherData.`setCipherReference(CipherReference newCipherReference)`
Get the CipherReference which points to the location encrypted data.

## Uses of CipherReference in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement CipherReference
Modifier and Type
Class
Description
`class`
`CipherReferenceImpl`
Concrete implementation of `CipherReference`.
Fields in org.opensaml.xmlsec.encryption.impl declared as CipherReference
Modifier and Type
Field
Description
`private CipherReference`
CipherDataImpl.`cipherReference`
CipherReference child element.
Methods in org.opensaml.xmlsec.encryption.impl that return CipherReference
Modifier and Type
Method
Description
`CipherReference`
CipherReferenceBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`CipherReference`
CipherReferenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`CipherReference`
CipherDataImpl.`getCipherReference()`
Get the CipherReference which points to the location encrypted data.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type CipherReference
Modifier and Type
Method
Description
`void`
CipherDataImpl.`setCipherReference(CipherReference newCipherReference)`
Get the CipherReference which points to the location encrypted data.